# 2. List config default

Get your list default config

### **Example Request (Hidemium V4)** <a href="#example-request-hidemium-v4" id="example-request-hidemium-v4"></a>

<table><thead><tr><th width="220">Method</th><th>URL</th></tr></thead><tbody><tr><td>GET</td><td><a href="http://127.0.0.1:2222/v2/default-config?page=1&#x26;limit=10">http://127.0.0.1:2222/v2/default-config?page=1&#x26;limit=10</a></td></tr></tbody></table>

### **Params**

<table data-header-hidden><thead><tr><th width="170">Key</th><th width="155">Value</th><th>Description</th></tr></thead><tbody><tr><td>page</td><td>1</td><td></td></tr><tr><td>limit</td><td>10</td><td></td></tr><tr><td>type</td><td>create</td><td><p>optional. If you don't add type, it will show both creation configuration and purchase configuration.</p><p></p><p><em><strong>create</strong></em>: if you only want to show created configs. <em><strong>order</strong></em>: If you only want to show purchased configs from the market.</p></td></tr></tbody></table>

### **Example Response** <a href="#example-response" id="example-response"></a>

```
[
    {
        "id": 433,
        "name": "1",
        "isDefault": true,
        "config": {
            "os": [
                "win",
                "mac",
                "lin",
                "android"
            ],
            "browser": [
                "chrome"
            ],
            "name": "1",
            "id": 433,
            "StartUrl": null
        },
        "created_at": "2024-01-08T01:19:37.000000Z"
    },
    {
        "id": 427,
        "name": "3 browser",
        "isDefault": false,
        "config": {
            "browser": [
                "chrome",
                "edge",
                "opera"
            ],
            "name": "3 browser",
            "profileName": "fgh",
            "id": 427,
            "StartUrl": null
        },
        "created_at": "2024-01-06T04:49:52.000000Z"
    }
]
```

[<br>](https://docs.hidemium.io/use-cases/api-automation-v2/get-profile/1.-list-profile)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemium.io/hidemium-4/i.-bat-dau-voi-hidemium/api-automation-v4/interact-profile/2.-list-config-default.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
